| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__DnmModificationData Struct Reference
Display Number Modification

DNM Modification Data. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__DnmTon * | OutputTON
| Defines the conversion of an explicit "calling number" to a desired format before the number is transmitted to the destination. More...
enum unsp__DnmNumberSource * | NumberSource
| Defines which number shall be taken as number source for this DNM Modification rule. More...
enum unsp__DnmTon * | OptimizeTON
| The optimization rule for this DNM Modification entry. More...
xsd__boolean * | RestrictPresentation
| Defines whether presentation should be restricted. More...
xsd__boolean * | PrefixRequired
| Defines whether a prefixed number is to be returned. More...

## Detailed Description

DNM Modification Data.

## Member Data Documentation

## ◆ NumberSource

enum unsp__DnmNumberSource* unsp__DnmModificationData::NumberSource

Defines which number shall be taken as number source for this DNM Modification rule.

required: false
default value[range]: DNM_NS_InputNumber

## ◆ OptimizeTON

enum unsp__DnmTon* unsp__DnmModificationData::OptimizeTON

The optimization rule for this DNM Modification entry.

required: false
default value[range]: DNM_TON_None

## ◆ OutputTON

enum unsp__DnmTon* unsp__DnmModificationData::OutputTON

Defines the conversion of an explicit "calling number" to a desired format before the number is transmitted to the destination.

required: true
default value[range]: DNM_ TON_International

## ◆ PrefixRequired

xsd__boolean* unsp__DnmModificationData::PrefixRequired

Defines whether a prefixed number is to be returned.

required: false
default value[range]: false

## ◆ RestrictPresentation

xsd__boolean* unsp__DnmModificationData::RestrictPresentation

Defines whether presentation should be restricted.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h